/// <reference types="node" />
/// <reference types="node" />
import { EventEmitter } from "node:events";
import { HomebridgePluginLogging } from "./utils.js";
export declare class RtpDemuxer extends EventEmitter {
    private heartbeatTimer;
    private heartbeatMsg;
    private _isRunning;
    private log?;
    private inputPort;
    readonly socket: import("dgram").Socket;
    constructor(ipFamily: ("ipv4" | "ipv6"), inputPort: number, rtcpPort: number, rtpPort: number, log: HomebridgePluginLogging);
    private heartbeat;
    close(): void;
    private getPayloadType;
    private isRtpMessage;
    get isRunning(): boolean;
}
export declare class RtpPortAllocator {
    private portsInUse;
    constructor();
    private getPort;
    reserve(ipFamily?: ("ipv4" | "ipv6"), portCount?: (1 | 2), attempts?: number): Promise<number>;
    cancel(port: number): void;
}
